=== shared/CMakeLists.txt ===
# Process subdirectories

ADD_SUBDIRECTORY ( graphics )
