=== qasmixer/graphics/CMakeLists.txt ===
# Install application icons

INSTALL( FILES icons/app-icon-16x16.png
  DESTINATION ${INSTALL_DIR_ICONS_PNG_16}
  RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-32x32.png
  DESTINATION ${INSTALL_DIR_ICONS_PNG_32}
  RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-48x48.png
  DESTINATION ${INSTALL_DIR_ICONS_PNG_48}
  RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-64x64.png
  DESTINATION ${INSTALL_DIR_ICONS_PNG_64}
  RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon.svg
  DESTINATION ${INSTALL_DIR_ICONS_SVG}
  RENAME ${PROGRAM_NAME}.svg )


# Install simple mixer icons

INSTALL ( FILES icons/show-playback.svg
  DESTINATION ${INSTALL_DIR_APP_ICONS} )

INSTALL ( FILES icons/show-capture.svg
  DESTINATION ${INSTALL_DIR_APP_ICONS} )
