=== debian/changelog ===
qastools (0.23.0-1) unstable; urgency=medium

  * New upstream release.
    - Apps: Add AppStream .appdata.xml meta information files
    - Code: Modernize CTL_Address and CTL_Format
    - Code: Make Controls_Model QAbstractListModel based
    - Code: Make Cards_Model QAbstractListModel based
    - Code: Fix missing includes (QPainterPath)
    - Code: Fix compiler warnings (QStyleOptionViewItemV4, fall through)
    - Code: Use clang-format for source code formatting
    - Remove non functional Makefile
    - CMake: Modernize CMakeLists.txt
  * debian/control:
    - Standards-Version raised to 4.5.0
  * debian/copyright:
    - Update dates from 2019 to 2020
  * debian/patches:
    - Remove Makefile removing patch. Makefile was removed by upstream.

 -- Sebastian Holtermann <sebholt@web.de>  Thu, 18 Jun 2020 19:48:12 +0200
