=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with scour

override_dh_auto_configure:
	dh_auto_configure -- -DSKIP_LICENSE_INSTALL=TRUE
