=== debian/watch ===
version=4
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitlab_releases/sebholt/qastools \
    .*/qastools-v?(\d\S+)\.tar\.gz
